#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    resize(100,100);
}

Widget::~Widget()
{
    delete ui;
}

void Widget::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void Widget::paintEvent(QPaintEvent *e)
{
    QPainter painter(this);
    painter.drawEllipse(10,10,80,80);

    painter.drawEllipse(30,30,5,5);
    painter.drawEllipse(65,30,5,5);
    painter.drawEllipse(48,40,5,5);

    painter.drawArc(20,30,60,40,180 * 16,180 * 16);
    painter.drawArc(20,20,60,60,180 * 16,180 * 16);

    painter.end();
}
